communicationTemplate.update

Updates a reusable email template. Changes apply to future emails that use the template.

To edit the existing subject or body, start with subjectTemplate or bodyHtml from communicationTemplate.info. Submit edited HTML in body.value, with body.type set to text/html.

You can edit organization templates you have permission to manage and your own personal templates.

Requires the communicationTemplatesWrite permission.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
uuid
required
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

The email template's ID.

string
length ≥ 1

Template title. Default templates cannot be renamed.

string

The new single-line email subject. Omit to keep the current subject, or pass an empty string to clear it.

body
object

Replaces the email body. Omit to keep the current body.

defaultCc
array

Replaces the default Cc recipients. Pass an empty array to clear them.

defaultCc
defaultBcc
array

Replaces the default Bcc recipients. Pass an empty array to clear them.

defaultBcc
Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json